Contract Templates
Manage contract templates. Ability to create, edit, view, and delete contract templates.
Available Endpoints
| Method |
Path |
Description |
| GET |
/api/contract-templates |
List contract templates |
| GET |
/api/contract-templates/{id} |
View template details |
| POST |
/api/contract-templates |
Create new template |
| PUT |
/api/contract-templates/{id} |
Full update of a template |
| PATCH |
/api/contract-templates/{id} |
Partial update of a template |
| DELETE |
/api/contract-templates/{id} |
Delete a template |
Example Request
curl -X GET "https://example.com/api/contract-templates" \
-H "Authorization: Bearer {token}"
Success Response (200)
{
"records": [],
"meta": {
"total": 0,
"current_page": 1,
"per_page": 20
}
}
Errors
| Code |
Description |
| 401 |
Invalid token |
| 403 |
Access denied |
| 404 |
Record not found |
| 422 |
Validation error |